<div class="text-center">
  <h1>S'identifier</h1>
</div>
<form class="" [formGroup]="userForm" (ngSubmit)="submit(userForm)">
  <div class="card-body p-6 mb-3">
    <div class="form-group">
      <mat-form-field appearance="outline" class="login-id-form-field">
        <mat-label>Identifiant</mat-label>
        <input
          matInput
          id="email"
          type="email"
          class="login-id"
          [formControl]="userForm.controls['email']"
        />
        <!-- <mat-icon
          matSuffix
          class="red-icon error-icon"
          *ngIf="
            matcher.isErrorState(userForm.controls['email']) &&
            userForm.controls['email'].errors
          "
          >error</mat-icon
        > -->
        <!-- <mat-icon
          matSuffix
          class="green-icon error-icon"
          *ngIf="!userForm.controls['email'].errors"
        >
          check_circle
        </mat-icon> -->
        <mat-error *ngIf="userForm.controls['email'].errors">
          Identifiant invalide
        </mat-error>
      </mat-form-field>
    </div>
    <div class="form-group">
      <mat-form-field
        appearance="outline"
        class="login-id-form-field password-form-field"
      >
        <mat-label>Mot de passe</mat-label>
        <input
          matInput
          id="password"
          type="password"
          class="login-id"
          [formControl]="userForm.controls['password']"
        />
        <!-- <mat-icon
          matSuffix
          class="red-icon error-icon"
          *ngIf="
            matcher.isErrorState(userForm.controls['password']) &&
            userForm.controls['password'].errors
          "
        >
          error
        </mat-icon> -->
        <!-- <mat-icon
          matSuffix
          class="green-icon error-icon"
          *ngIf="!userForm.controls['password'].errors"
        >
          check_circle
        </mat-icon> -->

        <mat-error *ngIf="userForm.controls['password'].errors">
          Mot de passe invalide ( {{ passwordStrength.label }} )
        </mat-error>
      </mat-form-field>
      <div class="d-flex mt-2" style="height: 24px">
        <mat-error *ngIf="auth.loginError.length && userForm.valid">
          E-mail ou mot de passe incorrect
        </mat-error>
        <div class="ml-auto text-right">
          <a [routerLink]="'reset-password'">Mot de passe oublié ?</a>
        </div>
      </div>
    </div>
    <div class="form-footer mt-5">
      <button
        type="submit"
        class="btn d-block mx-auto primary-strada-btn strada-btn-large"
        [disabled]="!userForm.valid || auth.loggingIn"
      >
        Connexion
      </button>
    </div>
  </div>
</form>
